clear
use "C:\Users\dc33\Desktop\research\judgment of trend\jebo inflation\full data.dta"

g initialdata = 0
replace initialdata = 1 if date < 201701

g inflate = 0
replace inflate = 1  if Q8v2 == 1

g futinf  = 0
replace futinf = 1  if Q9bv2 == 1

replace numeracy = 1 if _NUM_CAT == "High"
replace numeracy = 0 if _NUM_CAT == "Low"

drop  if Q8v2part2 ==0

*FDF
g FDFinflation = 0
replace FDFinflation = 1 if Q9_mean > 0 & Q9_mean < .

*non-response

g FDFnonresponse = 0 
replace FDFnonresponse = 1 if Q9_mean == . 
g verbalnonresponse = 0
replace verbalnonresponse = 1 if Q8v2 == .


g contradiction = .
replace contr = 0 if FDFinfl == inflate & FDFnonre == 0 & verbalnonre == 0
replace contr = 1 if FDFinfl  != inflate & FDFnonre == 0 & verbalnonre == 0


sum FDFnonre


bysort num: sum verbalnonresponse FDFnonresponse 
logit FDFnon num

tab FDFinflat if inflate == 0 & verbalnonre == 0 
tab FDFinflat if inflate == 1 & verbalnonre == 0 

*regs

sum contr

*corrs

bysort num: corr FDFinfl inflate

corr FDFinfl inflate 
corr FDFinfl inflate if FDFnonre == 0 & verbalnonre == 0
corr FDFinfl inflate if FDFnonre == 0 & verbalnonre == 0 & contrad == 0

* numeracy
bysort numeracy: tab contradiction if FDFnonre == 0 & verbalnonre == 0
logit contradic numerac  if FDFnonre == 0 & verbalnonre == 0 

logit contradic numerac if FDFnonre == 0 & verbalnonre == 0 & initial == 0

 *robustness median
g mediancontr = 0
replace mediancontr = 1 if Q9_cent50 > 0 & inflate == 0
replace mediancontr = 1 if Q9_cent50 < 0 & inflate == 1

sum mediancont




*selection on beliefs
logit FDFnonre inflate, or 

g highschool = 0
replace highschool = 1 if _EDU == "High School"

logit FDFnon highscho if date < 202001, or

*implications
 tab contra if date == 202011
 bysort contr: sum Q9_mean if date == 202011

g FDF1inflation = .
replace FDF1inflation = 0 if Q9_mean < - .99 & Q9_mean < .
replace FDF1inflation = 1 if Q9_mean > .99 & Q9_mean < .

 
 g FDF2inflation = .
replace FDF2inflation = 0 if Q9_mean < - 1.99 & Q9_mean < .
replace FDF2inflation = 1 if Q9_mean > 1.99 & Q9_mean < .



g contra1 = .
replace contra1 = 0 if FDFnonre == 0 & verbalnonre == 0
replace contra1 = 1 if FDF1infl  != inflate & FDFnonre == 0 & verbalnonre == 0
replace contra1 = 0 if FDF1infl == . & FDFnonre == 0 

sum contra1

g contra2 = .
replace contra2 = 0 if FDFnonre == 0 & verbalnonre == 0
replace contra2 = 1 if FDF2infl  != inflate & FDFnonre == 0 & verbalnonre == 0
replace contra2 = 0 if FDF2infl == . & FDFnonre == 0 

sum contra2

logit contrad inflate, or

logit contrad Q9_iqr

g unambigcont = .
replace unambigcont = 0 if  FDFnonre == 0 & verbalnonre == 0
replace unambigcont = 1 if contradiction == 1 & mediancont == 1 
replace unambigcont = 0 if contradiction == 1 & mediancont == 1 & inflate == 1 & Q9_bin5 > Q9_bin6 & Q9_bin5 > Q9_bin7 & Q9_bin5 > Q9_bin8 & Q9_bin5 > Q9_bin9 & Q9_bin5 > Q9_bin10  
replace unambigcont = 0 if contradiction == 1 & mediancont == 1 & inflate == 1 & Q9_bin4 > Q9_bin6 & Q9_bin4 > Q9_bin7 & Q9_bin4 > Q9_bin8 & Q9_bin4 > Q9_bin9 & Q9_bin4 > Q9_bin10  
replace unambigcont = 0 if contradiction == 1 & mediancont == 1 & inflate == 1 & Q9_bin3 > Q9_bin6 & Q9_bin3 > Q9_bin7 & Q9_bin3 > Q9_bin8 & Q9_bin3 > Q9_bin9 & Q9_bin3 > Q9_bin10  
replace unambigcont = 0 if contradiction == 1 & mediancont == 1 & inflate == 1 & Q9_bin2 > Q9_bin6 & Q9_bin2 > Q9_bin7 & Q9_bin2 > Q9_bin8 & Q9_bin2 > Q9_bin9 & Q9_bin2 > Q9_bin10  
replace unambigcont = 0 if contradiction == 1 & mediancont == 1 & inflate == 1 & Q9_bin1 > Q9_bin6 & Q9_bin1 > Q9_bin7 & Q9_bin1 > Q9_bin8 & Q9_bin1 > Q9_bin9 & Q9_bin1 > Q9_bin10  

replace unambigcont = 0 if contradiction == 1 & mediancont == 1 & inflate == 0 & Q9_bin6 > Q9_bin5 & Q9_bin6 > Q9_bin4 & Q9_bin6 > Q9_bin3 & Q9_bin6 > Q9_bin2 & Q9_bin6 > Q9_bin1
replace unambigcont = 0 if contradiction == 1 & mediancont == 1 & inflate == 0 & Q9_bin7 > Q9_bin5 & Q9_bin7 > Q9_bin4 & Q9_bin7 > Q9_bin3 & Q9_bin7 > Q9_bin2 & Q9_bin7 > Q9_bin1
replace unambigcont = 0 if contradiction == 1 & mediancont == 1 & inflate == 0 & Q9_bin8 > Q9_bin5 & Q9_bin8 > Q9_bin4 & Q9_bin8 > Q9_bin3 & Q9_bin8 > Q9_bin2 & Q9_bin8 > Q9_bin1
replace unambigcont = 0 if contradiction == 1 & mediancont == 1 & inflate == 0 & Q9_bin9 > Q9_bin5 & Q9_bin9 > Q9_bin4 & Q9_bin9 > Q9_bin3 & Q9_bin9 > Q9_bin2 & Q9_bin9 > Q9_bin1
replace unambigcont = 0 if contradiction == 1 & mediancont == 1 & inflate == 0 & Q9_bin10 > Q9_bin5 & Q9_bin10 > Q9_bin4 & Q9_bin10 > Q9_bin3 & Q9_bin10 > Q9_bin2 & Q9_bin10 > Q9_bin1  


sum unambigcont

g ambigcont= 0
replace ambigcont= 1 if contradic == 1 & unambigcon == 0 

g lownum = .
replace lownum = 1 if numera == 0
replace lownum = 0 if numera == 1

logit ambigcont lownum, or
logit unambigcont lownum, or

g meaningless = .
replace meaningless = 0 if Q9_bin1 < .
replace meaningless = 1 if Q9_bin1 == 50
logit meaningless lownum, or

count if lownum == 1 & Q9_mean < .
count if lownum == 1 & meaningless == 1 
count if lownum == 1 & meaningless == 1 & ambig == 1 

bysort date: tabstat Q9_mean, by(unambig) stat(p50)
